Bug 107396 - [CI][BAT] igt@debugfs_test@read_all_entries - dmesg-warn - Unclaimed read from register 0x70278
Summary: [CI][BAT] igt@debugfs_test@read_all_entries - dmesg-warn - Unclaimed read fro...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Imre Deak
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-27 10:47 UTC by Martin Peres
Modified: 2018-09-03 11:48 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: power/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-07-27 10:47:58 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4558/fi-icl-u/igt@debugfs_test@read_all_entries.html

	
[   34.500778] ------------[ cut here ]------------
[   34.500842] Unclaimed read from register 0x70278
[   34.500976] WARNING: CPU: 0 PID: 1280 at drivers/gpu/drm/i915/intel_uncore.c:1087 __unclaimed_reg_debug+0x40/0x50 [i915]
[   34.500981] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 ax88179_178a usbnet mii x86_pkg_temp_thermal coretemp snd_hda_intel crct10dif_pclmul crc32_pclmul snd_hda_codec ghash_clmulni_intel snd_hwdep snd_hda_core e1000e snd_pcm prime_numbers
[   34.501078] CPU: 0 PID: 1280 Comm: debugfs_test Tainted: G        W         4.18.0-rc6-CI-CI_DRM_4558+ #1
[   34.501084] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.2222.A01.1805300339 05/30/2018
[   34.501182] RIP: 0010:__unclaimed_reg_debug+0x40/0x50 [i915]
[   34.501186] Code: 74 05 5b 5d 41 5c c3 45 84 e4 48 c7 c0 a9 d3 56 a0 48 c7 c6 9f d3 56 a0 48 0f 44 f0 89 ea 48 c7 c7 b2 d3 56 a0 e8 c0 2f bf e0 <0f> 0b 83 2d 3f 2b 19 00 01 5b 5d 41 5c c3 66 90 41 56 41 55 41 89 
[   34.501463] RSP: 0018:ffffc900017ef758 EFLAGS: 00010086
[   34.501473] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000002
[   34.501479] RDX: 0000000080000002 RSI: ffffffff820c6e04 RDI: 00000000ffffffff
[   34.501484] RBP: 0000000000070278 R08: 0000000000000000 R09: 0000000000000001
[   34.501489] R10: ffffc900017ef6f0 R11: 0000000000000000 R12: 0000000000000001
[   34.501494] R13: 0000000000000001 R14: 0000000000000000 R15: 0000000000000206
[   34.501501] FS:  00007fa0280d2980(0000) GS:ffff8804c0800000(0000) knlGS:0000000000000000
[   34.501507] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   34.501512] CR2: 00007f07ee8d4938 CR3: 0000000492e72005 CR4: 0000000000760ef0
[   34.501518] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   34.501523] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   34.501528] PKRU: 55555554
[   34.501532] Call Trace:
[   34.501634]  gen11_fwtable_read32+0x233/0x290 [i915]
[   34.501713]  skl_ddb_get_hw_state+0x22a/0x380 [i915]
[   34.501826]  verify_wm_state+0xa5/0x440 [i915]
[   34.501839]  ? __lock_acquire+0x3c8/0x1b50
[   34.501897]  ? lock_acquire+0xa6/0x210
[   34.501997]  ? intel_fbc_post_update+0x24/0x40 [i915]
[   34.502019]  ? lock_acquire+0xa6/0x210
[   34.502112]  ? intel_check_pch_fifo_underruns+0x27/0x280 [i915]
[   34.502129]  ? mark_held_locks+0x50/0x80
[   34.502230]  intel_atomic_commit_tail+0x3c9/0xd00 [i915]
[   34.502331]  intel_atomic_commit+0x240/0x320 [i915]
[   34.502347]  drm_mode_atomic_ioctl+0x837/0xa00
[   34.502387]  ? drm_atomic_set_property+0x630/0x630
[   34.502397]  drm_ioctl_kernel+0x7c/0xf0
[   34.502411]  drm_ioctl+0x2e6/0x3a0
[   34.502423]  ? drm_atomic_set_property+0x630/0x630
[   34.502439]  ? lock_acquire+0xa6/0x210
[   34.502461]  do_vfs_ioctl+0xa0/0x6d0
[   34.502474]  ? _copy_to_user+0x56/0x70
[   34.502485]  ? __se_sys_sysinfo+0x30/0x60
[   34.502499]  ksys_ioctl+0x35/0x60
[   34.502511]  __x64_sys_ioctl+0x11/0x20
[   34.502520]  do_syscall_64+0x55/0x190
[   34.502531]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[   34.502539] RIP: 0033:0x7fa0277795d7
[   34.502543] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48 
[   34.502820] RSP: 002b:00007ffc2d601328 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[   34.502830] RAX: ffffffffffffffda RBX: 0000556cb4b2e450 RCX: 00007fa0277795d7
[   34.502836] RDX: 00007ffc2d601380 RSI: 00000000c03864bc RDI: 0000000000000003
[   34.502841] RBP: 00007ffc2d601380 R08: 0000556cb4b2f570 R09: 0000000000000068
[   34.502846] R10: 0000000000000012 R11: 0000000000000246 R12: 00000000c03864bc
[   34.502852] R13: 0000000000000003 R14: 0000000000000000 R15: 0000000000000400
[   34.502878] irq event stamp: 152448
[   34.502887] hardirqs last  enabled at (152447): [<ffffffff8193f9cc>] _raw_spin_unlock_irqrestore+0x4c/0x60
[   34.502895] hardirqs last disabled at (152448): [<ffffffff8193f83d>] _raw_spin_lock_irqsave+0xd/0x50
[   34.502902] softirqs last  enabled at (152312): [<ffffffff81c0034f>] __do_softirq+0x34f/0x505
[   34.502911] softirqs last disabled at (152295): [<ffffffff8108c825>] irq_exit+0xa5/0xc0
[   34.503003] WARNING: CPU: 0 PID: 1280 at drivers/gpu/drm/i915/intel_uncore.c:1087 __unclaimed_reg_debug+0x40/0x50 [i915]
[   34.503008] ---[ end trace f0b27030ca9d0aaf ]---[   3
Comment 1 Martin Peres 2018-07-27 10:50:33 UTC
Increasing the priority to highest because it affects ICL.
Comment 2 Chris Wilson 2018-08-10 16:22:45 UTC
commit 12a6c931beffeaaa350ef562e91e49918b4b3e68
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Jul 31 17:46:14 2018 -0700

    drm/i915/icl: avoid unclaimed PLANE_NV12_BUF_CFG register
    
    We don't have proper watermark NV12 support on ICL due to differences
    in how it should be implemented. In commit 234059da0f33
    ("drm/i915/icl: NV12 y-plane ddb is not in same plane") we avoided
    writing the non-existent PLANE_NV12_BUF_CFG registers but we forgot to
    also avoid them on the hardware state readout. While the code is still
    not correct, at least now we can avoid unclaimed register error
    messages when dealing with RGB formats, which makes CI happier.
    
    Also add some FIXME comments in order to make it even more clear that
    there's still work to do.
    
    References: commit 234059da0f33 ("drm/i915/icl: NV12 y-plane ddb is
     not in same plane")
    Cc: Mahesh Kumar <mahesh1.kumar@intel.com>
    Reviewed-by: Mahesh Kumar <mahesh1.kumar@intel.com>
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20180801004614.22149-1-paulo.r.zanoni@intel.com
Comment 3 Martin Peres 2018-09-03 11:48:59 UTC
Thanks Paulo and Chris!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.